alias_resolve(4gx)

Name
alias_resolve — SQL-based alias resolution and domain list plugin for delivery(8gx)

Description
alias_resolve is a mail delivery agent hook plugin which will download from MariaDB/SQL all alias mappings and use them to rewrite the envelope FROM and RCPT addresses of mails and which replaces aliases by their respective primary addresses,

Configuration directives
alias_resolve(4gx) reads /etc/gromox/mysql_adaptor.cfg for mysql_host, mysql_port, mysql_username, mysql_password, mysql_dbname and mysql_rdwr_timeout. Confer with mysql_adaptor(4gx) for details.

alias_resolve(4gx) reads /etc/gromox/alias_resolve.cfg:

cache_lifetime
    Interval between alias map refreshes.
    Default: 1h

Signals
When the plugin is reloaded (i.e. SIGHUP to delivery(8gx)), the alias map is refreshed as well, resetting the timer for the next refresh.

See also
gromox(7), delivery(8gx)